org.eclipse.cdt.core.parser

## Enum ParseError.ParseErrorKind

- java.lang.Object
- - java.lang.Enum<ParseError.ParseErrorKind>
  - - org.eclipse.cdt.core.parser.ParseError.ParseErrorKind

All Implemented Interfaces:
  Serializable, Comparable<ParseError.ParseErrorKind>

Enclosing class:
  ParseError

    public static enum ParseError.ParseErrorKind
    extends Enum<ParseError.ParseErrorKind>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`METHOD_NOT_IMPLEMENTED`
`OFFSET_RANGE_NOT_NAME`
`OFFSETDUPLE_UNREACHABLE`
`TIMEOUT_OR_CANCELLED`
`TOO_MANY_TOKENS` The user preference for `CCorePreferenceConstants.SCALABILITY_LIMIT_TOKENS_PER_TU` is enabled and more than `CCorePreferenceConstants.SCALABILITY_MAXIMUM_TOKENS` tokens were created while parsing a single translation unit.

### Method Summary

All Methods Static Methods Concrete Methods
`static ParseError.ParseErrorKind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ParseError.ParseErrorKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### METHOD_NOT_IMPLEMENTED

    public static final ParseError.ParseErrorKind METHOD_NOT_IMPLEMENTED

#### OFFSETDUPLE_UNREACHABLE

    public static final ParseError.ParseErrorKind OFFSETDUPLE_UNREACHABLE

#### OFFSET_RANGE_NOT_NAME

    public static final ParseError.ParseErrorKind OFFSET_RANGE_NOT_NAME

#### TIMEOUT_OR_CANCELLED

    public static final ParseError.ParseErrorKind TIMEOUT_OR_CANCELLED

#### TOO_MANY_TOKENS

    public static final ParseError.ParseErrorKind TOO_MANY_TOKENS

The user preference for `CCorePreferenceConstants.SCALABILITY_LIMIT_TOKENS_PER_TU` is enabled and more than `CCorePreferenceConstants.SCALABILITY_MAXIMUM_TOKENS` tokens were created while parsing a single translation unit.

Since:
  5.7

### Method Detail

#### values

    public static ParseError.ParseErrorKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ParseError.ParseErrorKind c : ParseError.ParseErrorKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ParseError.ParseErrorKind valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null